TMH: video files are not playing in Safari
Closed, DeclinedPublic

Description

Author: tauhida.parveen

Description:
Video does not play in Safari

Video files are not playing in Safari.

http://commons.wikimedia.beta.wmflabs.org/wiki/File:Youth_media_2004_Prescott_Circus.ogv

Use the above URL and click on the play button

Expected result: The video should play

Actual result: The screen goes black (screenshot attached)


Version: unspecified
Severity: normal
OS: Mac OS X 10.6
Platform: Macintosh
URL: http://commons.wikimedia.beta.wmflabs.org/wiki/File:Youth_media_2004_Prescott_Circus.ogv

Attached:

bzimport created this task.Via LegacyJun 12 2012, 3:44 PM
hashar added a comment.Via ConduitJun 12 2012, 3:50 PM

Confirmed for me.

On Mac OS X 10.7 something

Safari: 5.1.7 (7534.57.2) : I get the video interface, can look at the details. When clicking the play button, browser freeze for a while and eventually got a black screen too.

Runs fine with Firefox 12.0

brion added a comment.Via ConduitJun 14 2012, 7:37 PM

Works for me in Safari 5.1.7 on OS X 10.7.4, with XiphQT components installed.

If you don't have the XiphQT components, I think it's supposed to fall back to Cortado (the Java applet player), but it's possible that recent updates to Apple's Java are disabling that.

Aklapper added a comment.Via ConduitDec 15 2012, 5:01 PM

Tauhida / Hashar: Is this still a problem?
(Sorry, no Safari around here.)

hashar added a comment.Via ConduitDec 15 2012, 10:34 PM

I got Safari Version 6.0 (7536.25) now. The video plays with a HTML5 <video> element apparently with webm. So might have been fixed :-)

Aklapper added a comment.Via ConduitDec 16 2012, 9:36 AM

Thanks. CLosing as there is indication that this is fixed.

Gilles added a project: Multimedia.Via WebDec 4 2014, 9:32 AM
Gilles triaged this task as "Unbreak Now!" priority.Via WebDec 4 2014, 10:11 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "Needs Triage".Via ConduitDec 4 2014, 11:21 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.